Go to the latest version of this document.

# ``twisted`.`python`.`modules`.`IPathImportMapper``

interface documentation

`class IPathImportMapper(Interface): (source)`

Known implementations: `twisted.python.modules._DefaultMapImpl`, `twisted.python.modules._ZipMapImpl`

View In Hierarchy

This is an internal interface, used to map importers to factories for FilePath-like objects.

Method | `mapPath` | Return a FilePath-like object.

def mapPath(pathLikeString): (source)

Return a FilePath-like object.

Parameters
pathLikeString | a path-like string, like one that might be passed to an import hook.

Returns
a `FilePath`, or something like it (currently only a `ZipPath`, but more might be added later).